> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank Account by ID

> Retrieve a single bank account object by its Zeal bank account ID.

Returns the single [bank account object](/reference/bank-accounts/bank-account-object) matching the given `bankAccountID`. To list every bank account belonging to a worker instead, use [Get Bank Accounts by Worker ID](/reference/bank-accounts/get-bank-accounts-by-worker-id).


## OpenAPI

````yaml openapi/zeal-api.json get /bankaccount
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /bankaccount:
    get:
      summary: Get Bank Account by ID
      description: Retrieve a single bank account object by its Zeal bank account ID.
      operationId: get-bank-account-by-id
      parameters:
        - name: companyID
          in: query
          description: Company ID of the employer
          required: true
          schema:
            type: string
        - name: bankAccountID
          in: query
          description: Zeal Bank Account ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      bankAccountID: '0987675234'
                      companyID: '0987654321'
                      id: '1234567890'
                      institution_name: PNC
                      account_number: '091736576493'
                      routing_number: '092784765833'
                      type: checking
                      nickname: Main spending account
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      bankAccountID:
                        type: string
                        example: '0987675234'
                      companyID:
                        type: string
                        example: '0987654321'
                      id:
                        type: string
                        example: '1234567890'
                      institution_name:
                        type: string
                        example: PNC
                      account_number:
                        type: string
                        example: '091736576493'
                      routing_number:
                        type: string
                        example: '092784765833'
                      type:
                        type: string
                        example: checking
                      nickname:
                        type: string
                        example: Main spending account
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Bank Account with this employeeID or contractorID does
                          not exist
                        code: 68
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Bank Account with this employeeID or contractorID
                            does not exist
                        code:
                          type: integer
                          example: 68
                          default: 0
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````